Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class TModelInstanceInfo

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.datatypes.TModelInstanceInfo

public class TModelInstanceInfo
extends java.lang.Object

TModelInstanceInfo structure represents the binding Template instnace specific details for a tModel by reference.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Constructor Summary
`TModelInstanceInfo()` Class Constructor

Method Summary
`void` | `addDescription(java.lang.String value)` Adds a new description to the descriptions.
`java.util.Vector` | `getDescriptionVector()` Gets the set of descriptions
`InstanceDetails` | `getInstanceDetails()` Gets the value of the instance details.
`java.lang.String` | `getTModelKey()` Gets the value of the tModelKey.
`void` | `setDescriptionVector(java.util.Vector value)` Sets the values for descriptions.
`void` | `setInstanceDetails(InstanceDetails value)` Sets the value of the instance details.
`void` | `setTModelKey(java.lang.String value)` Sets the value of the tModelKey.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TModelInstanceInfo

    public TModelInstanceInfo()

  Class Constructor

Method Detail

### setTModelKey

    public void setTModelKey(java.lang.String value)

  Sets the value of the tModelKey.

  Parameters:
    `value` - the new value of the tModelKey.

### getTModelKey

    public java.lang.String getTModelKey()

  Gets the value of the tModelKey.

  Returns:
    the current value of the tModelKey.

### addDescription

    public void addDescription(java.lang.String value)

  Adds a new description to the descriptions.

  Parameters:
    `value` - the new description.

### setDescriptionVector

    public void setDescriptionVector(java.util.Vector value)

  Sets the values for descriptions.

  Parameters:
    `value` - A set of descriptions to be included

### getDescriptionVector

    public java.util.Vector getDescriptionVector()

  Gets the set of descriptions

  Returns:
    the set of descriptions

### setInstanceDetails

    public void setInstanceDetails(InstanceDetails value)

  Sets the value of the instance details.

  Parameters:
    `value` - the new value of the instance details.

### getInstanceDetails

    public InstanceDetails getInstanceDetails()

  Gets the value of the instance details.

  Returns:
    the current value of the instance details.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference